refwaarden.activate = {

	init : function(){
        var self = this;

		// submit buttons
        $('body').delegate('#activate-form', 'submit', function(event) {
            self.activate();
            event.preventDefault();
            return false;
        });

		// als de gebruiker geen verbinding met internet heeft, kan de app ook niet geactiveerd worden
		if(!refwaarden.data.install.isOnline){
			$('#activate-form').hide();
			$('#activate-msg').html('Maak verbinding met internet om de applicatie te kunnen activeren. <a href="#" class="btn-icon" id="btn-reload">Herladen</a>');
		}




    },

	activate : function() {

		var self = this;
		var sCode = $('#activate-code').val();

		// ajax loader tonen
		$('#activate-msg').html('<img src="images/loading.gif">');

		if(refwaarden.data.install.isOnline){

			$.getJSON(refwaarden.data.install.apiurl, { request: "activate", code: sCode }, function(json) {

				if(json.activated == true){
				//console.log('json.activated == true');

					// in de database opslaan dat de app is geactiveerd. (in install.js wordt hierop gecontroleerd)
					refwaarden.data.install.db.transaction(
						function(tx){
							// Insert
							//console.log('activatie opslaan in database');
							tx.executeSql("INSERT OR REPLACE INTO activatie (id, geactiveerd) VALUES (1,1)", []);
						},
						function(err){
							// Error
							self.errorCB(err)
						},
						function(){
							// Success

							//console.log('Success');

							$('#activate-msg').html(json.message); // berichtje voor de gebruiker

							// na 1,5 seconden de app opnieuw inladen
							refwaarden.helpers.delay(function(){
								//console.log('Reload now');

				                //refwaarden.init();
				                window.location.href = window.location.href; // reload the app
				            }, 1500);
						}
					);


				} else {
					$('#activate-msg').html(json.message);
				}

			});
		}
	}

};

