refwaarden.disclaimer = {

	init : function(){
		var self = this;

		$('#disclaimer').show();

        $('#btn-close').click(function(event) {
			$('#disclaimer').hide();
			$(window).trigger('disclaimerclosed');
            event.preventDefault();
            return false;
        });

		refwaarden.data.install.db.transaction(function(tx){self.getDisclaimer(tx)}, function(err){self.errorCB(err)});
	},

	getDisclaimer : function(tx) {
		var self = this;

	    // get disclaimer tekst from paginateksten
        tx.executeSql('SELECT * FROM paginateksten WHERE titel_key = "disclaimer"', [], function(tx, results){self.getDisclaimerSuccess(tx, results)}, function(err){self.errorCB(err)});
	},

	getDisclaimerSuccess : function(tx, results) {
		var self = this;

		// tekst in #disclaimer zetten
        $('#disclaimer-content').html('').append('<h2>' + results.rows.item(0).titel + '</h2>' + results.rows.item(0).tekst);

        // na 7 seconden de disclaimer verbergen
		refwaarden.helpers.delay(function(){
			// alleen uitvoeren als de gebruiker de disclaimer nog niet handmatig heeft gesloten
			if($('#disclaimer').css('display') == 'block'){
				$('#disclaimer').hide();
				$(window).trigger('disclaimerclosed');
			}
		}, 7000);
	},

	errorCB : function (err) {
	    alert("Error processing SQL: "+err.code + " " + err.message);
	}

}
