refwaarden.search = {

    init : function(){

        var self = this;

        // search as you type
        $('#q').keyup(function() {
            refwaarden.helpers.delay(function(){
                self.search($('#q').val());
            }, 500);
        });

        $('#search').submit(function(event){
            self.search($('#q').val());
            event.preventDefault();
            $('#q').blur();
        });

        $('#btn-clear-search').click(function(event){
			self.clear();
			self.search($('#q').val());
			$('#q').focus();
			event.preventDefault();
        })

    },

    search : function(q){

        var self = this;

		// Menu verbergen als het open staat
        if($('#menu').css('display') == 'block'){
			$('#menu').hide();
			$('body').removeClass('menu');
		}

        refwaarden.navigation.setState('search');

        // load the resultset template
        $('#content').load('views/fulllist.html', function(){
            self.display(q);
        });

    },

    clear : function(){

        // clear the search
        $('#q').val('');
    },

    display : function(q){
        //console.log('display ' + q);
        var self = this;

		refwaarden.data.install.db.transaction(function(tx){
			tx.executeSql('SELECT h.id, h.titel, CASE WHEN f.id IS NOT NULL THEN 1 ELSE 0 END AS favo, CASE WHEN n.hoofdrubriek IS NOT NULL THEN 1 ELSE 0 END AS notitie FROM hoofdrubriek h LEFT JOIN favorites f ON h.id = f.id LEFT JOIN notities n ON h.id = n.hoofdrubriek WHERE h.titel LIKE "%'+q+'%" ORDER BY h.titel', [], refwaarden.data.resultset.getListSuccess, refwaarden.data.resultset.errorCB);
		});

    }
}