refwaarden = {
	init : function(){
	    refwaarden.data.install.init();
	    refwaarden.navigation.init();
	    refwaarden.notes.init();
	    refwaarden.search.init();
	}
};

// Zodra de database tabellen en data klaarstaan, word 'dbready' getriggerd
$(window).bind('dbready', function(){
	refwaarden.disclaimer.init(); // disclaimer inladen
	refwaarden.emailteksten.init(); // email tekst aan share knop koppelen
	refwaarden.favorites.init();
	refwaarden.page.init(); // menu met links naar de paginateksten inladen
});

// Zodra de disclaimer tekst wordt gesloten, word 'disclaimerclosed' getriggerd
$(window).bind('disclaimerclosed', function(){
	refwaarden.navigation.setState('fulllist'); // Startscherm van de app: de fulllist
});


$('document').ready(function(){
	refwaarden.init();

	// de reload button zorgt ervoor dat de app opnieuw initialiseerd
	$('body').delegate('#btn-reload', 'click', function(event) {
        //refwaarden.init();
        window.location.href = window.location.href; // reload the app
        event.preventDefault();
        return false;
    });
});

