refwaarden.data.result = {

    get : function(id){

        var self = this;
		$('#toolbar').show();

		// bij de knoppen het id instellen van het item wat nu bekeken wordt
		$('#btn-back, #btn-favorites-add, #btn-favorites-remove, #btn-note').data('id',id);

		refwaarden.data.install.db.transaction(function(tx){self.queryDB(tx, id)}, function(err){self.errorCB(err)});

    },

    queryDB : function(tx, id) {
		var self = this;

	    // get all from hoofdrubriek
        tx.executeSql('SELECT r.*, h.titel AS hoofdrubriektitel FROM referentiewaarde r LEFT JOIN hoofdrubriek h ON r.hoofdrubriek = h.id WHERE r.hoofdrubriek = '+id+' ORDER BY r.volgorde', [], function(tx, results){self.querySuccess(tx, results)}, function(err){self.errorCB(err)});
	},


    querySuccess : function(tx, results) {
		var self = this;
		var len = results.rows.length;

		for (var i=0; i<len; i++){
			if(i == 0){
				$('#item').html('').append('<div class="info title"><h2>'+ results.rows.item(i).hoofdrubriektitel +'</h2></div>');
			}

		    // format the items
		    sTitel = results.rows.item(i).titel;
		    if(sTitel == '') sTitel = 'referentiewaarde';
	        $('#item').append('<div class="subheader">' + sTitel + '</div>');
	        $('#item').append('<div class="info">' + results.rows.item(i).referentiewaarde + '</div>');
		}

		// controleren of dit een favoriet is
		refwaarden.favorites.toggleFavorite();

		// notitie ophalen (als die er is)
		refwaarden.notes.showNote();

	},

	errorCB : function (err) {
	    alert("Error processing SQL: "+err.code + " " + err.message);
	}
}