refwaarden.page = {

	init : function(){
		var self = this;

		refwaarden.data.install.db.transaction(function(tx){self.getMenu(tx)}, function(err){self.errorCB(err)});
	},

	getMenu : function(tx) {
    	//console.log('refwaarden.page.queryDB');
		var self = this;

	    // get all from paginateksten
        tx.executeSql('SELECT * FROM paginateksten ORDER BY volgorde', [], function(tx, results){self.getMenuSuccess(tx, results)}, function(err){self.errorCB(err)});
	},

	getMenuSuccess : function(tx, results) {
		var self = this;

		// menu items in het menu zetten
		var len = results.rows.length;

		for (var i=0; i<len; i++){
	        $('#menu ul').append('<li><a href="#" rel="page" class="icon-'+ results.rows.item(i).titel_key + '" id="menu-' + results.rows.item(i).id + '" data-id="' + results.rows.item(i).id + '" >' + results.rows.item(i).titel + '</a></li>');
		}

		$('#menu ul li:last').addClass('last');

        // resultset rows, open page with id
        $('body').delegate('#menu a[rel="page"]', 'click', function(event) {
            var id = $(this).data('id');
            refwaarden.navigation.setState('page', id);
            event.preventDefault();
            return false;
        });

        // bij een klik in het menu: het menu verbergen
        $('body').delegate('#menu a', 'click', function(event) {
            $('#menu').hide();
			$('body').removeClass('menu');
            event.preventDefault();
            return false;
        });


	},

	getPage : function(id){
		var self = this;

		refwaarden.data.install.db.transaction(function(tx){
			// get all from paginateksten
        	tx.executeSql('SELECT * FROM paginateksten WHERE id = '+ id, [], function(tx, results){self.getPageSuccess(tx, results)}, function(err){self.errorCB(err)});
		}, function(err){self.errorCB(err)});
	},

	getPageSuccess : function(tx, results) {
		var self = this;

		// paginatekst in #item zetten
        $('#page').html('').append('<h2>' + results.rows.item(0).titel + '</h2>'  + results.rows.item(0).tekst);

		// class active toevoegen aan li van actieve menu item
		//$('#menu-'+results.rows.item(0).id).parent('li').addClass('active');

	},

	errorCB : function (err) {
	    alert("Error processing SQL: "+err.code + " " + err.message);
	}

}
